Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157103 - CAN-2005-1174 krb5 buffer overflow, heap corruption in KDC (CAN-2005-1175)
Summary: CAN-2005-1174 krb5 buffer overflow, heap corruption in KDC (CAN-2005-1175)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050612,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 20:56 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-567
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 18:15:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:567 normal SHIPPED_LIVE Important: krb5 security update 2005-07-12 04:00:00 UTC

Description Josh Bressers 2005-05-06 20:56:31 UTC
The MIT krb5 Key Distribution Center (KDC) implementation can corrupt
the heap by attempting to free memory at a random address when it
receives a certain unlikely (but valid) request via a TCP connection.
This attempt to free unallocated memory can result in a KDC crash and
consequent denial of service.  [CAN-2005-1174]

Additionally, the same request, when received by the KDC via either
TCP or UDP, can trigger a bug in the krb5 library which results in a
single-byte overflow of a heap buffer.  Additionally, application
servers are vulnerable to a highly improbable attack, provided that
the attacker controls a realm sharing a cross-realm key with the
target realm. [CAN-2005-1175]

An unauthenticated attacker may be able to use these vulnerabilities
to execute arbitrary code on the KDC host, potentially compromising an
entire Kerberos realm.  No exploit code is known to exist at this
time.  Exploitation of these vulnerabilities is believed to be
difficult.

Comment 1 Josh Bressers 2005-05-06 21:00:26 UTC
Nalin,

It seems CAN-2005-1174 sin't going to affect RHEL2.1 or RHEL3, can you verify this?

CAN-2005-1175 should affect RHEL2.1, RHEL3, and RHEL4

Comment 2 Nalin Dahyabhai 2005-06-30 06:08:04 UTC
I can confirm that CAN-2005-1174 shouldn't affect RHEL 2.1 or 3.  Both releases
include krb5 1.2.x, which predates the TCP code.  (The variable in question is
there, but the code path which leads to it being mistakenly passed to free()
before it's initialized isn't.)

Comment 3 Josh Bressers 2005-07-07 12:59:41 UTC
According to MIT, in order to exploit CAN-2005-1175 the attacker must control a
realm sharing a cross-realm key with the target realm.  I'm lowering the
severity to "moderate" for that particular issue.

Comment 4 Mark J. Cox 2005-07-12 17:59:35 UTC
public, removing embargo
http://web.mit.edu/kerberos/www/advisories/

Comment 5 Red Hat Bugzilla 2005-07-12 18:15:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-567.html



Note You need to log in before you can comment on or make changes to this bug.